/**
 * Style for ApCheckbox.
 * @augments ApStyle
 * @constructor ApCheckboxStyle
 */

"use strict";

const React = require('react'),
    ApStyle = require('apeman-react-style')['ApStyle'];

/** @lends ApCheckboxStyle */
let ApCheckboxStyle = React.createClass({
    propTypes: ApStyle.propTypes,
    getDefaultProps: function () {
        return {
            data: {
                '.ap-checkbox-wrap': {
                    display: 'inline-block',
                    padding: '0 4px',
                    cursor: 'pointer'
                },
                '.ap-checkbox-wrap:hover': {
                    opacity: 0.9
                },
                '.ap-checkbox-wrap:active': {
                    opacity: 0.75
                },
                '.ap-checkbox': {
                    display: 'inline-block',
                    padding: '0 2px',
                    position: 'relative',
                    top: '-2px'
                },
                '.ap-checkbox-title': {}
            }
        }
    },
    render: function () {
        let s = this,
            props = s.props;
        return <ApStyle {...props}>{props.children}</ApStyle>;
    }
});

module.exports = ApCheckboxStyle;
